import { z } from 'zod';
export declare const partyPlayerEndpoint: {
    readonly name: "Party Player";
    readonly description: "Get the party information for the given player";
    readonly queryName: "Party_FetchPlayer";
    readonly category: "Party Endpoints";
    readonly type: "glz";
    readonly suffix: "parties/v1/players/{puuid}";
    readonly riotRequirements: {
        readonly token: true;
        readonly entitlement: true;
        readonly clientVersion: true;
        readonly clientPlatform: true;
    };
    readonly responses: {
        readonly '200': z.ZodObject<{
            Subject: z.ZodString;
            Version: z.ZodNumber;
            CurrentPartyID: z.ZodString;
            Invites: z.ZodNull;
            Requests: z.ZodArray<z.ZodObject<{
                ID: z.ZodString;
                PartyID: z.ZodString;
                RequestedBySubject: z.ZodString;
                Subjects: z.ZodArray<z.ZodString, "many">;
                CreatedAt: z.ZodEffects<z.ZodString, Date, string>;
                RefreshedAt: z.ZodEffects<z.ZodString, Date, string>;
                ExpiresIn: z.ZodNumber;
            }, "strip", z.ZodTypeAny, {
                ID: string;
                PartyID: string;
                RequestedBySubject: string;
                Subjects: string[];
                CreatedAt: Date;
                RefreshedAt: Date;
                ExpiresIn: number;
            }, {
                ID: string;
                PartyID: string;
                RequestedBySubject: string;
                Subjects: string[];
                CreatedAt: string;
                RefreshedAt: string;
                ExpiresIn: number;
            }>, "many">;
            PlatformInfo: z.ZodObject<{
                platformType: z.ZodLiteral<"PC">;
                platformOS: z.ZodLiteral<"Windows">;
                platformOSVersion: z.ZodString;
                platformChipset: z.ZodLiteral<"Unknown">;
            }, "strip", z.ZodTypeAny, {
                platformType: "PC";
                platformOS: "Windows";
                platformOSVersion: string;
                platformChipset: "Unknown";
            }, {
                platformType: "PC";
                platformOS: "Windows";
                platformOSVersion: string;
                platformChipset: "Unknown";
            }>;
        }, "strip", z.ZodTypeAny, {
            Subject: string;
            Version: number;
            Invites: null;
            Requests: {
                ID: string;
                PartyID: string;
                RequestedBySubject: string;
                Subjects: string[];
                CreatedAt: Date;
                RefreshedAt: Date;
                ExpiresIn: number;
            }[];
            CurrentPartyID: string;
            PlatformInfo: {
                platformType: "PC";
                platformOS: "Windows";
                platformOSVersion: string;
                platformChipset: "Unknown";
            };
        }, {
            Subject: string;
            Version: number;
            Invites: null;
            Requests: {
                ID: string;
                PartyID: string;
                RequestedBySubject: string;
                Subjects: string[];
                CreatedAt: string;
                RefreshedAt: string;
                ExpiresIn: number;
            }[];
            CurrentPartyID: string;
            PlatformInfo: {
                platformType: "PC";
                platformOS: "Windows";
                platformOSVersion: string;
                platformChipset: "Unknown";
            };
        }>;
    };
};
export type PartyPlayerResponse = z.input<typeof partyPlayerEndpoint.responses['200']>;
